Servers - Bug #1652

[parabolaweb] "Unknown" packager
2018-02-28 05:51 AM - bill-auger

Status: forwarded upstream % Done: 0%
Priority: bug

Assignee:

Category:

Description

this has bug been around for a long time - it does look unprofessional - it should probably be fixed someday

Related issues:
Related to Packages - Bug #2001: Some packages imported from Arch Linux 32 ha... forwarded upstream

History

#1 - 2018-02-28 05:51 AM - bill-auger

- Description updated

#2 - 2018-09-22 12:15 AM - lukeshu
Is this #2001 / https://bugs.archlinux32.org/index.php?do=details&task_id=52 ?

#3 - 2018-09-23 06:15 AM - bill-auger

- File find-unknown-packagers added

i was trying to make sense of this today and my results were pretty strange

i wrote a script to extract 'Unknown Packager' from the db caches in /var/lib/pacman/sync/ and i got very different counts then what is reported on the
upstream bug - i ran the same script on both parabola i686 and again on arch32 - it did show that all of the packages by 'Unknown Packager' are in
[extra], [community], and [core]

$ wc -1 ./unknown-packagers-parabola
1800 ./unknown-packagers—-parabola

$ wc -1 ./unknown-packagers-arch32
2250 ./unknown-packagers-arch32

one thing i noted was that one of the packages that arch32 has by 'Unknown Packager' shows as packaged by Erich Eckner on parabola and the
parabola package has a higher version number and later build date - maybe my mirrorlist is wonky on arch32 but it is the default one that was
installed

arch32:

package: 4ti2-1.6.7-1
build date: 1497644502
packager: Unknown Packager
parabola:

package: 4ti2-1.6.9-1.0
build date: 1536224793
packager: Erich Eckner

anyways ive attached the script i used - i was not able to comment on the arch32 bug

#4 - 2018-09-24 05:12 AM - bill-auger
- Related to Bug #2001: Some packages imported from Arch Linux 32 have "Unknown Packager" added

#5 - 2018-09-24 05:32 AM - bill-auger

- Status changed from open to forwarded upstream

linked to upstream bug report https://bugs.archlinux32.org/index.php?do=details&task_id=52

#6 - 2018-09-24 05:39 AM - lukeshu
https://labs.parabola.nu/issues/2001
https://bugs.archlinux32.org/index.php?do=details&task_id=52
https://bugs.archlinux32.org/index.php?do=details&task_id=52

Note that on the upstream bug report | used /mnt/data/rsync/archlinux32/current/ on beefcake, which (1) includes packages that we blacklist, (2)
includes packages built for i486 which we don't import, and (3) included all .pkg.tar.xz files, older versions of which might no longer be in the .db files.

#7 - 2018-09-24 05:49 AM - lukeshu
| parsed the .pkg.tar.xz files with:
find -name '*.pkg.tar.xz' -print0 |
while read -d '' -r file; do
bsdtar xfO "$file" .PKGINFO |
grep -e “packager -e “builddate |
sed '"1{N;s/\n/ /;}"' |
sed "s,$, filename = S$file,"
done > ~/listing.txt
Then | generated the report with:

cut -d= —-f3 listing.txt | sed 's/ filename $//' | sort | unig —-c | sort -n

and:

wc -1 listing.txt

I'd upload listing.txt, but Redmine is telling me it's too large.

#8 - 2018-09-24 08:38 AM - bill-auger

good grief man - that sure is a lot of greek math - is that to say that the word 'Unknown' does not actually appear in those files?

using my method, 'Unknown Packager' actually is parseabale in the desc file - maybe they really are not reporting the same set

Files

find-unknown-packagers 616 Bytes 2018-09-23 bill-auger
